Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Manual_Event Class Reference

Manual Events. More...

`#include <Manual_Event.h>`

Inheritance diagram for ACE_Manual_Event:

[legend]
Collaboration diagram for ACE_Manual_Event:

[legend]
List of all members.

## Public Methods
| ACE_Manual_Event (int initial_state=0, int type=USYNC_THREAD, const char *name=0, void *arg=0)
| constructor which will create manual event
| ACE_Manual_Event (int initial_state, int type, const wchar_t *name, void *arg=0)
| constructor which will create manual event (wchar_t version)
| ~ACE_Manual_Event (void)
| Default dtor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Manual Events.

Specialization of Event mechanism which wakes up all waiting thread on <signal>. All platforms support process-scope locking support. However, only Win32 platforms support global naming and system-scope locking support.

## Constructor & Destructor Documentation

ACE_Manual_Event::ACE_Manual_Event | ( | int | initial_state = 0,
|  | int | type = USYNC_THREAD,
|  | const char * | name = 0,
|  | void * | arg = 0
| ) |

| constructor which will create manual event

ACE_Manual_Event::ACE_Manual_Event | ( | int | initial_state,
|  | int | type,
|  | const wchar_t * | name,
|  | void * | arg = 0
| ) |

| constructor which will create manual event (wchar_t version)

ACE_INLINE ACE_Manual_Event::~ACE_Manual_Event | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Manual_Event::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Event.

## Member Data Documentation

ACE_Manual_Event::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Event.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Manual_Event.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Manual_Event.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Manual_Event.inl